Vulnerability CVE-2012-3509


Published: 2012-09-05   Modified: 2012-09-06

Description:
Multiple integer overflows in the (1) _objalloc_alloc function in objalloc.c and (2) objalloc_alloc macro in include/objalloc.h in GNU libiberty, as used by binutils 2.22, allow remote attackers to cause a denial of service (crash) via vectors related to the "addition of CHUNK_HEADER_SIZE to the length," which triggers a heap-based buffer overflow.

CVSS2 => (AV:N/AC:L/Au:N/C:N/I:N/A:P)

CVSS Base Score
Impact Subscore
Exploitability Subscore
5/10
2.9/10
10/10
Exploit range
Attack complexity
Authentication
Remote
Low
No required
Confidentiality impact
Integrity impact
Availability impact
None
None
Partial
Affected software
GNU -> Binutils 
GNU -> Libiberty 
Debian -> Debian linux 
Canonical -> Ubuntu linux 

 References:
http://gcc.gnu.org/bugzilla/show_bug.cgi?id=54411
http://gcc.gnu.org/ml/gcc-patches/2012-08/msg01986.html
http://security-tracker.debian.org/tracker/CVE-2012-3509
http://www.mandriva.com/security/advisories?name=MDVSA-2015:029
http://www.openwall.com/lists/oss-security/2012/08/29/3
http://www.securityfocus.com/bid/55281
http://www.ubuntu.com/usn/USN-2496-1
http://xforce.iss.net/xforce/xfdb/78135

Copyright 2021, cxsecurity.com

 

Back to Top